AsyncEvent (Servlet 4.0 API Documentation - Apache Tomcat 9.0.37)

javax.servlet

## Class AsyncEvent

- java.lang.Object
- - javax.servlet.AsyncEvent

-     public class AsyncEvent
      extends java.lang.Object

  TODO SERVLET3 - Add comments
  Since:
    Servlet 3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncEvent(AsyncContext context)`
    `AsyncEvent(AsyncContext context, ServletRequest request, ServletResponse response)`
    `AsyncEvent(AsyncContext context, ServletRequest request, ServletResponse response, java.lang.Throwable throwable)`
    `AsyncEvent(AsyncContext context, java.lang.Throwable throwable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsyncContext` | `getAsyncContext()`
    `ServletRequest` | `getSuppliedRequest()`
    `ServletResponse` | `getSuppliedResponse()`
    `java.lang.Throwable` | `getThrowable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncEvent

          public AsyncEvent(AsyncContext context)

    - #### AsyncEvent

          public AsyncEvent(AsyncContext context,
                            ServletRequest request,
                            ServletResponse response)

    - #### AsyncEvent

          public AsyncEvent(AsyncContext context,
                            java.lang.Throwable throwable)

    - #### AsyncEvent

          public AsyncEvent(AsyncContext context,
                            ServletRequest request,
                            ServletResponse response,
                            java.lang.Throwable throwable)

  - ### Method Detail

    - #### getAsyncContext

          public AsyncContext getAsyncContext()

    - #### getSuppliedRequest

          public ServletRequest getSuppliedRequest()

    - #### getSuppliedResponse

          public ServletResponse getSuppliedResponse()

    - #### getThrowable

          public java.lang.Throwable getThrowable()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.